kind: Pod
apiVersion: v1
metadata:
  generateName: win-webserver-7476c977c8-
  resourceVersion: '55167'
  name: win-webserver-7476c977c8-brz7v
  uid: aa428e19-217a-4ad8-8c07-4730baa065a3
  creationTimestamp: '2024-04-17T02:20:34Z'
  managedFields:
    - manager: kube-controller-manager
      operation: Update
      apiVersion: v1
      time: '2024-04-17T02:20:34Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:generateName': {}
          'f:labels':
            .: {}
            'f:app': {}
            'f:pod-template-hash': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"49fa662d-3084-43c6-a1d4-5a88d71f4716"}': {}
        'f:spec':
          'f:containers':
            'k:{"name":"win-webserver"}':
              'f:image': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:resources':
                .: {}
                'f:limits':
                  .: {}
                  'f:cpu': {}
                  'f:memory': {}
                'f:requests':
                  .: {}
                  'f:cpu': {}
                  'f:memory': {}
              'f:command': {}
              'f:securityContext':
                .: {}
                'f:runAsNonRoot': {}
                'f:windowsOptions':
                  .: {}
                  'f:runAsUserName': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:name': {}
          'f:dnsPolicy': {}
          'f:tolerations': {}
          'f:restartPolicy': {}
          'f:schedulerName': {}
          'f:nodeSelector': {}
          'f:terminationGracePeriodSeconds': {}
          'f:os':
            .: {}
            'f:name': {}
          'f:enableServiceLinks': {}
          'f:securityContext': {}
    - manager: kubelet.exe
      operation: Update
      apiVersion: v1
      time: '2024-04-17T02:20:37Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            'k:{"type":"ContainersReady"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Initialized"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Ready"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
          'f:containerStatuses': {}
          'f:hostIP': {}
          'f:startTime': {}
      subresource: status
  namespace: win-webserver
  ownerReferences:
    - apiVersion: apps/v1
      kind: ReplicaSet
      name: win-webserver-7476c977c8
      uid: 49fa662d-3084-43c6-a1d4-5a88d71f4716
      controller: true
      blockOwnerDeletion: true
  labels:
    app: win-webserver
    pod-template-hash: 7476c977c8
spec:
  nodeSelector:
    kubernetes.io/os: windows
  restartPolicy: Always
  serviceAccountName: default
  imagePullSecrets:
    - name: default-dockercfg-tdrz8
  priority: 0
  os:
    name: windows
  schedulerName: default-scheduler
  enableServiceLinks: true
  terminationGracePeriodSeconds: 30
  preemptionPolicy: PreemptLowerPriority
  nodeName: ip-10-0-14-18.ec2.internal
  securityContext: {}
  containers:
    - resources:
        limits:
          cpu: 20m
          memory: 64Mi
        requests:
          cpu: 10m
          memory: 32Mi
      terminationMessagePath: /dev/termination-log
      name: win-webserver
      command:
        - pwsh.exe
        - '-command'
        - '$listener = New-Object System.Net.HttpListener; $listener.Prefixes.Add(''http://*:80/''); $listener.Start();Write-Host(''Listening at http://*:80/''); while ($listener.IsListening) { $context = $listener.GetContext(); $response = $context.Response; $content=''<html><body><H1>Red Hat OpenShift </br> Windows Container workload running in GCP</H1></body></html>''; $buffer = [System.Text.Encoding]::UTF8.GetBytes($content); $response.ContentLength64 = $buffer.Length; $response.OutputStream.Write($buffer, 0, $buffer.Length); $response.Close(); };'
      securityContext:
        windowsOptions:
          runAsUserName: ContainerAdministrator
        runAsNonRoot: false
      imagePullPolicy: IfNotPresent
      volumeMounts:
        - name: kube-api-access-q48hw
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePolicy: File
      image: 'mcr.microsoft.com/powershell:windowsserver-ltsc2022'
  serviceAccount: default
  volumes:
    - name: kube-api-access-q48hw
      projected:
        sources:
          - serviceAccountToken:
              expirationSeconds: 3607
              path: token
          - configMap:
              name: kube-root-ca.crt
              items:
                - key: ca.crt
                  path: ca.crt
          - downwardAPI:
              items:
                - path: namespace
                  fieldRef:
                    apiVersion: v1
                    fieldPath: metadata.namespace
          - configMap:
              name: openshift-service-ca.crt
              items:
                - key: service-ca.crt
                  path: service-ca.crt
        defaultMode: 420
  dnsPolicy: ClusterFirst
  tolerations:
    - key: os
      value: Windows
    - key: node.kubernetes.io/not-ready
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/unreachable
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/memory-pressure
      operator: Exists
      effect: NoSchedule
status:
  phase: Pending
  conditions:
    - type: Initialized
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2024-04-17T02:20:34Z'
    - type: Ready
      status: 'False'
      lastProbeTime: null
      lastTransitionTime: '2024-04-17T02:20:34Z'
      reason: ContainersNotReady
      message: 'containers with unready status: [win-webserver]'
    - type: ContainersReady
      status: 'False'
      lastProbeTime: null
      lastTransitionTime: '2024-04-17T02:20:34Z'
      reason: ContainersNotReady
      message: 'containers with unready status: [win-webserver]'
    - type: PodScheduled
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2024-04-17T02:20:34Z'
  hostIP: 10.0.14.18
  startTime: '2024-04-17T02:20:34Z'
  containerStatuses:
    - name: win-webserver
      state:
        waiting:
          reason: ContainerCreating
      lastState: {}
      ready: false
      restartCount: 0
      image: 'mcr.microsoft.com/powershell:windowsserver-ltsc2022'
      imageID: ''
      started: false
  qosClass: Burstable
